# IO_MultiSwitch.cpp File Reference

`#include "osgSim/MultiSwitch"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for IO_MultiSwitch.cpp:

## Functions

bool | MultiSwitch_readLocalData (Object &obj, Input &fr)
bool | MultiSwitch_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_SwitchProxy (new osgSim::MultiSwitch,"MultiSwitch","Object Node MultiSwitch Group",&MultiSwitch_readLocalData,&MultiSwitch_writeLocalData)

## Function Documentation

bool MultiSwitch_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool MultiSwitch_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_SwitchProxy(new osgSim::MultiSwitch,"MultiSwitch","Object Node MultiSwitch Group",&MultiSwitch_readLocalData,&MultiSwitch_writeLocalData)